Skip to main content

getRecentPerformanceSamples

POST

Returns a list of recent performance samples, in reverse slot order. Performance samples are taken every 60 seconds and include the number of transactions and slots that occur in a given time window.
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
slotinteger
Slot in which sample was taken at
numTransactionsinteger
Number of transactions processed during the sample period
numSlotsinteger
Number of slots completed during the sample period
samplePeriodSecsinteger
Number of seconds in a sample window
numNonVoteTransactionsinteger
Number of non-vote transactions processed during the sample period
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getRecentPerformanceSamples",
"params": []
}'